【微信小程序】小程序使用的是TLS v1.2版本协议,workerman连接小程序的websocket出错。

512765140

小程序使用的是TLS v1.2版本协议,workerman连接小程序的websocket出错。
要如何设置workerman的SSL,才能正常通过WSS访问小程序呢??

老大可以测试一下。小程序通过WSS通信workerman出错。
workerman不依赖apache ,我在apache里面启动了TLS v1.2,没有用,小程序还是报错TLS版本不对,workerman没有启动TLS1.2

阅读 5274
4个回答

512765140

不适用workerman的WSS创建服务的方法,转用nginx反向代理,就可以。

  • 暂无评论
damao
  • 512765140 2017-03-28

    不是说wss不行,而是TLS版本不是1.2,用不上在小程序里

  • damao 2017-03-29

    不会吧,截图具体报错贴出来看看

MarkGo

[attach]614[/attach]
测试了没问题,
而且小程序手册那写明了安卓某些机型无法使用TLS1.2版本,所以服务端应该兼容TLS低版本...
所以你这个问题和TLS 版本应该没关系吧

  • 暂无评论
walkor

目前看php版本>=5.6才能用TLS1.2

  • 暂无评论